import { system, world } from "@minecraft/server";

system.beforeEvents.startup.subscribe(initEvent => {
    initEvent.itemComponentRegistry.registerCustomComponent('rustic:cloudsbluff_on_consume', {
      onConsume: e =>  {
        const source = e.source
        source.addEffect('levitation', 100);

      }
    });
});